# ElfReloc Struct Reference

`#include <tools/elftypes.h>`

## Data Fields

const char * | secname
u32 | base
u32 | type
u32 | symbol
u32 | offset
u32 | addr

## Field Documentation

u32 ElfReloc::addr

u32 ElfReloc::base

u32 ElfReloc::offset

const char* ElfReloc::secname

u32 ElfReloc::symbol

u32 ElfReloc::type

The documentation for this struct was generated from the following file:

- tools/elftypes.h